using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;

namespace TestProject
{
    /// <summary>
    ///  
    /// </summary>
    public sealed partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region  - MainPage()

        /// <summary>
        /// 
        /// </summary>
        public MainPage()
        {
            InitializeComponent();

            this.infoBadgeStyleComboBox.SelectionChanged += infoBadgeStyleComboBox_SelectionChanged;

            this.infoBadgeStyleComboBox.SelectedValue = "Attention";
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region InfoBadge Ÿ ޺ ڽ   óϱ - infoBadgeStyleComboBox_SelectionChanged(sender, e)

        /// <summary>
        /// InfoBadge Ÿ ޺ ڽ   óϱ
        /// </summary>
        /// <param name="sender">̺Ʈ ߻</param>
        /// <param name="e">̺Ʈ </param>
        public void infoBadgeStyleComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            string infoBadgeStyle = e.AddedItems[0].ToString();

            switch(infoBadgeStyle)
            {
                case "Attention" :

                    this.infoBadge1.Style = Application.Current.Resources["AttentionIconInfoBadgeStyle" ] as Style;
                    this.infoBadge2.Style = Application.Current.Resources["AttentionValueInfoBadgeStyle"] as Style;
                    this.infoBadge3.Style = Application.Current.Resources["AttentionDotInfoBadgeStyle"  ] as Style;

                    break;

                case "Informational" :

                    this.infoBadge1.Style = Application.Current.Resources["InformationalIconInfoBadgeStyle" ] as Style;
                    this.infoBadge2.Style = Application.Current.Resources["InformationalValueInfoBadgeStyle"] as Style;
                    this.infoBadge3.Style = Application.Current.Resources["InformationalDotInfoBadgeStyle"  ] as Style;

                    break;

                case "Success" :

                    this.infoBadge1.Style = Application.Current.Resources["SuccessIconInfoBadgeStyle" ] as Style;
                    this.infoBadge2.Style = Application.Current.Resources["SuccessValueInfoBadgeStyle"] as Style;
                    this.infoBadge3.Style = Application.Current.Resources["SuccessDotInfoBadgeStyle"  ] as Style;

                    break;

                case "Critical" :

                    this.infoBadge1.Style = Application.Current.Resources["CriticalIconInfoBadgeStyle" ] as Style;
                    this.infoBadge2.Style = Application.Current.Resources["CriticalValueInfoBadgeStyle"] as Style;
                    this.infoBadge3.Style = Application.Current.Resources["CriticalDotInfoBadgeStyle"  ] as Style;

                    break;
            }
        }

        #endregion
    }
}